### Method

# Ide Config get_sequence

#### Declaration

    guint
    ide_config_get_sequence (
      IdeConfig* self
    )

#### Description

This returns a sequence number for the configuration. This is useful for build systems that want to clear the “dirty” bit on the configuration so that they need not bootstrap a second time. This should be done by checking the sequence number before executing the bootstrap, and only cleared if the sequence number matches after performing the bootstrap. This indicates no changes have been made to the configuration in the mean time.

Available since: | 3.32

#### Return value

Returns: | `guint`
| A monotonic sequence number.